NAN(3) | Library Functions Manual | NAN(3)

# NAME

`nan`, `nanf`, `nanl` —
return quiet NaN

# LIBRARY

Math Library (libm, -lm)

# SYNOPSIS

`#include <math.h>`

double
`nan`(const char *tagp);

float
`nanf`(const char *tagp);

long double
`nanl`(const char *tagp);

# DESCRIPTION

The call `nan`("n-char-sequence") is equivalent to the call `strtod`("NAN(n-char-sequence)", NULL). The call `nan`("") is equivalent to the call `strtod`("NAN()", NULL).

The `nanf`() and `nanl`() functions are equivalent to `nan`() but substituting `strtof`() and `strtold`(), respectively.

# RETURN VALUES

## IEEE 754

The `nan`(), `nanf`(), and `nanl`() functions return a quiet NaN as specified by tagp.

## VAX

The `nan`(), `nanf`(), and `nanl`() functions return zero.

# SEE ALSO

math(3), strtod(3)

# STANDARDS

The `nan`(), `nanf`(), and `nanl`() functions conform to ISO/IEC 9899:1999 (“ISO C99”).

March 15, 2006 | NetBSD 9.5